﻿
using System;
using Wisej.Web;
using System.Drawing;

namespace Wisej.ListViewItemColors
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void listView1_SelectedIndexChanged(object sender, EventArgs e)
		{
			this.button1.Enabled =
				this.button2.Enabled =
				 this.listView1.FocusedItem != null;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.listView1.FocusedItem.BackColor =
				(this.listView1.FocusedItem.Index % 2) == 0
					? Color.Yellow
					: Color.Cyan;
		}

		private void button2_Click(object sender, EventArgs e)
		{
			this.listView1.FocusedItem.ForeColor =
				(this.listView1.FocusedItem.Index % 2) == 0
					? Color.Blue
					: Color.Green;
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			for (int i = 0; i < 100; i++)
			{
				this.listView1.Items.Add("Item No. " + i).ImageSource = "icon-preview";
			}
		}
	}
}
